ur_rna.RNAstructure

## Class RnaBackendException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - ur_rna.RNAstructure.RnaBackendException

- All Implemented Interfaces:
    java.io.Serializable

      public class RnaBackendException
      extends java.lang.Exception

  Encapsulates errors raised in RNABackendJNI functions, e.g. loading and saving CT files etc.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `errorCode`
    `private java.lang.String` | `file`
    `private static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RnaBackendException()`
    `RnaBackendException(java.lang.String message)`
    `RnaBackendException(java.lang.String message, int errCode)`
    `RnaBackendException(java.lang.String message, int errCode, java.lang.String filePath)`
    `RnaBackendException(java.lang.String message, int errCode, java.lang.String filePath, java.lang.Throwable cause)`
    `RnaBackendException(java.lang.String message, java.lang.Throwable cause)`
    `RnaBackendException(java.lang.Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getErrorCode()`
    `java.lang.String` | `getFile()`
    `void` | `initErrorCode(int errorCode)`
    `void` | `initFile(java.lang.String file)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### errorCode

          private int errorCode

    - #### file

          private java.lang.String file

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RnaBackendException

          public RnaBackendException()

    - #### RnaBackendException

          public RnaBackendException(java.lang.String message)

    - #### RnaBackendException

          public RnaBackendException(java.lang.String message,
                                     int errCode)

    - #### RnaBackendException

          public RnaBackendException(java.lang.String message,
                                     int errCode,
                                     java.lang.String filePath)

    - #### RnaBackendException

          public RnaBackendException(java.lang.String message,
                                     int errCode,
                                     java.lang.String filePath,
                                     java.lang.Throwable cause)

    - #### RnaBackendException

          public RnaBackendException(java.lang.String message,
                                     java.lang.Throwable cause)

    - #### RnaBackendException

          public RnaBackendException(java.lang.Throwable cause)

  - ### Method Detail

    - #### getErrorCode

          public int getErrorCode()

    - #### getFile

          public java.lang.String getFile()

    - #### initErrorCode

          public void initErrorCode(int errorCode)

    - #### initFile

          public void initFile(java.lang.String file)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Throwable`